"""change ip address column to INET type

Revision ID: 232a4a474604
Revises: None
Create Date: 2013-02-01 09:45:23.292133

"""

# revision identifiers, used by Alembic.
revision = '232a4a474604'
down_revision = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.execute("ALTER TABLE ipaddresses "
               "    ALTER COLUMN address"
               "        TYPE inet USING address::inet")


def downgrade():
    op.execute("ALTER TABLE ipaddresses"
               "    ALTER COLUMN address"
               "        TYPE text using split_part(address::text, '/',1)")
