from mock import patch
import unittest


class ObjectBasesTests(unittest.TestCase):
    """Testing ..db.ObjectBase."""

    def test_create_notifies_added_event(self):
        from ..db import ObjectBase, Added
        with patch('zope.event.notify') as notify,\
                patch('gocept.directory2.db.ObjectBase.db'):
            obj = ObjectBase.create()
            event = notify.call_args[0][0]
            self.assertIsInstance(event, Added)
            self.assertEqual(obj, event.object)
