from fanstatic import Group
from fanstatic import Library
from fanstatic import Resource
import js.bootstrap
import js.jquery
import js.jquery_datatables


library = Library('gocept.directory2.admin', 'resources')

jquery_ui = Group([
    Resource(library, 'jquery-ui-custom/jquery-ui.css',
             minified='jquery-ui-custom/jquery-ui.min.css'),
    Resource(library, 'jquery-ui-custom/jquery-ui.js',
             minified='jquery-ui-custom/jquery-ui.min.js',
             depends=[js.jquery.jquery])])

css_resource = Resource(library, 'directory.css')

js_resource = Resource(library, 'directory.js',
                       depends=[js.jquery.jquery])

domains_css = Resource(library, 'domains.css')

gocept_directory2 = Group([
    js.bootstrap.bootstrap,
    js.jquery_datatables.jquery_datatables_js,
    jquery_ui,
    css_resource,
    js_resource])
